<script>{
	"title": "jQuery Foundation Code of Conduct - FAQ",
	"pageTemplate": "page-conduct.php"
}</script>

This FAQ attempts to address common questions and concerns around the jQuery Foundation's [Code of Conduct](https://jquery.org/conduct/). If you still have questions after reading it, please feel free to [contact us](mailto:conduct@jquery.org).

### Why have you adopted a Code of Conduct?

We think the jQuery Foundation community is awesome. If you're familiar with the jQuery Foundation community, you'll probably notice that the Code basically matches what we already do. Think of this as documentation: we're taking implicit expectations about behavior and making them explicit.

We know that the jQuery Foundation community is open, friendly, and welcoming. We want to make sure everyone else knows it too.

### What does it mean to "adopt" a Code of Conduct?

For the most part, we don't think it means large changes. We think that the text does a really good job describing the way the jQuery Foundation community already conducts itself. We expect that most people will simply continue to behave in the awesome way they have for years.

However, we do expect that people will abide by the spirit and words of the CoC when in "official" jQuery Foundation spaces. This code has been adopted by the jQuery Foundation and all of its projects. That means that it'll apply both in community spaces _and_ at jQuery Foundation events.

In practice, this means the various jQuery Foundation IRC channels (#jquery, #jquery-dev, etc.), bug tracking and code review tools, and "official" jQuery Foundation events such as sprints. In addition, violations of this code outside these spaces may affect a person's ability to participate within them.

### What about events funded by the jQuery Foundation?

This Code of Conduct also covers any events that the jQuery Foundation funds. However, events funded by the jQuery Foundation already [require a code of conduct](https://jquery.org/conduct/). Isn't this redundant?

No: there's a difference between the two, and they're complementary.

This Code of Conduct is all about how we interact as a community. It's about saying that the jQuery Foundation community will be open, friendly, and welcoming. The core issue is about ensuring the conversations we have are productive and inviting for all.

Real-life events, however, require a bit more care. The jQuery Foundation wants to be sure that any events it funds have policies and procedures in place for handling harassment. It's especially important to us that real-life events take steps to protect the physical and mental security of their participants.

So the jQuery Foundation will require that all events it funds have some sort of anti- harassment policy in place. The jQuery Foundation thinks the [Ada Initiative's template](http://geekfeminism.wikia.com/wiki/Conference_anti-harassment/Policy) is pretty good, but we're open to alternatives.

### What happens if someone violates the Code of Conduct?

Our intent is that the anyone in the community can stand up for this Code, and direct people who're unaware to this document. If that doesn't work, or if you need more help, you can contact [conduct@jquery.org](mailto:conduct@jquery.org). For more details please see our [Reporting Guidelines](https://jquery.org/conduct/reporting/)

### Why do we need a Code of Conduct? Everyone knows not to be a jerk.

Sadly, not everyone knows this.

However, even if everyone were kind, compassionate, and familiar with codes of conduct, it would still be incumbent upon our community to publish our own. Maintaining a code of conduct forces us to consider and articulate what kind of community we want to be, and serves as a constant reminder to put our best foot forward. But most importantly, it serves as a signpost to people looking to join our community that we feel these values are important.

### This is censorship! I have the right to say whatever I want!

You do -- in _your_ space. If you'd like to hang out in _our_ spaces (as clarified above), we have some simple guidelines to follow. If you want to, for example, form a group where jQuery Foundation projects are discussed using language inappropriate for general channels then nobody's stopping you. We respect your right to establish whatever codes of conduct you want in the spaces that belong to you. Please honor this Code of Conduct in our spaces.
